Bug 244470 - Can't find /
Can't find /
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 17:45 EDT by Bob T.
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 16:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob T. 2007-06-15 17:45:07 EDT
Description of problem:

The installer stops during an upgrade because it says it can't find /.
But it's already found the relevant partition as the root of a FC6 installation.
The fstab entry is 

LABEL=f7-slash      /                  ext3    defaults        1 1

just like in the release notes. blkid reports

/dev/hda2: LABEL="f7-slash" UUID="0ab4911b-1c77-4af2-a586-8cc1d0934d1e"
SEC_TYPE="ext2" TYPE="ext3"

and the grub.conf entry is

kernel /vmlinuz-2.6.20-1.2952_1.fc6 ro  root=LABEL=f7-slash ...

The installation boots OK.  





Version-Release number of selected component (if applicable):


How reproducible:

repeated several times


Steps to Reproduce:
1. run installer
2. select upgrade (the only) existing installation
3. 
  
Actual results:

error message, suggesting fstab error

Expected results:

installation to start

Additional info:

Your Release Notes are terrible here.  You should suggest e2label for doing
partition labelling.  You should explain what the constraints on partition
labels are: is / allowed or not? Is the grub.conf entry root=LABEL=... or just 
root=... as your example has it?  (The latter wouldn't work for me.)
Comment 1 Bob T. 2007-06-17 22:14:26 EDT
I changed the label on the / partition to "/fedora" and lo and behold the
installer accepted it.  So this is either a workaround for a bug in your
installer, or your Release Notes do not make it evident what the constraints are
on the root-partition label; in particular, the example given there doesn't seem
to work. I won't change the status pending your verdict.
Comment 2 Chris Lumens 2007-06-18 10:46:52 EDT
What is the exact error message you are seeing here?
Comment 3 Bob T. 2007-06-18 11:01:20 EDT
I didn't write it down.  The closest I can come is "Can't find entry for /.
Probably something wrong with /etc/fstab."  I believe I was offered an OK button
as the only option; it re-booted the system.
Comment 4 Chris Lumens 2007-08-24 16:18:43 EDT
I believe this is fixed in F8 test 1.  I tested with LABEL=/ and
LABEL=fc6-slash, and it is upgrading just fine.  Feel free to reopen this bug if
you continue to experience problems.

Note You need to log in before you can comment on or make changes to this bug.